> For the complete documentation index, see [llms.txt](https://docs-kr.zep.us/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-kr.zep.us/zep-script-api/zepscriptapi/scriptwidget/field.md).

# Field

### 소개

위젯과 관련된 속성 값을 조회 할 수 있습니다.

🔒 아이콘이 있는 필드는 수정이 불가능한 읽기 전용 필드입니다.

<table><thead><tr><th width="165">이름</th><th>설명</th></tr></thead><tbody><tr><td>🔒 id</td><td>위젯의 id 값을 가져옵니다.</td></tr></tbody></table>

## 📚 API 설명 및 예제

### id

{% hint style="info" %}
widget.id
{% endhint %}

위젯의 아이디 값을 가져옵니다.

**예제**

위젯 아이디 값 출력해보기

{% file src="/files/9RU0t0vGgN7qNWkFaj1R" %}

![](/files/EDhvTKqNpIOuwpYQbusj)

```jsx
let _widget = null;
// q 키를 누르면 동작하는 함수
// App.addOnKeyDown
App.addOnKeyDown(81, function (player) {
	_widget = player.showWidget("sample.html","top",300,300);
	App.sayToAll(`위젯 아이디: ${_widget.id}`)
});
```

***

### 부록

[위젯에서 사용가능한 문법](/creator/reference/scriptaction.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-kr.zep.us/zep-script-api/zepscriptapi/scriptwidget/field.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
